const ParseTools = require("./ParseTools");

class AbsentDay {
    constructor(data) {
        this.date = ParseTools.parseDateTime(data.Datum);
        this.hour = data.Stunde;
        this.status = data.Status;
        this.comment = ParseTools.isFilled(data.Bemerkung);
    }

    get present() {
        switch (this.status) {
            case "o":
            case "G5":
            case "L5":
            case "V5":
                return true;
            case "--":
            case "K":
            case "E":
            case "A":
            case "( )":
            case "U":
                return false;
            default:
                return null;
        }
    }

    get absent() {
        if(this.present === null) return null;
        return !this.present;
    }
}

module.exports = AbsentDay