const { DateTime } = require("luxon");

class ParseTools {
    static parseDateTime(date, format="yyyy-MM-dd") {
        return DateTime.fromFormat(date, format, { zone: "Europe/Berlin" });
    }

    static isFilled(value, returnValOrNull=false) {
        const res = value !== "" && value !== "-";
        return returnValOrNull ? (res ? value : null) : res;
    }

    static daysToArray(days, seperator=", ", format="dd.MM.yyyy") {
        let res = [];
        days.split(seperator).forEach(day => {
            if(day === "") return;
            res.push(this.parseDateTime(day, format));
        });
        return res;
    }
}

module.exports = ParseTools